;; $Id: dbparam.dsl 0.1 1997/07/31 14:51:33 nwalsh Exp $

;; ------------------------------ Parameters ------------------------------

;; Refentry generate name indicates whether or not the word "NAME "
;; should be generated at the start of a REFNAME.
;;
(define %refentry-generate-name% #t)

;; Refentry function indicates whether or not REFENTRYs are for functions.
;; If true, "()" is automatically generated after the title.
;;
(define %refentry-function% #t)

;; Default section level for SimpleSects that occur directly within
;; chapter-level elements
;;
(define %default-simplesect-level% 4)

;; Generate toc indicates whether or not an automatically generated TOC
;; should be included 
;;
(define %generate-toc% #t)

;; Generate chapter toc indicates whether or not an automatically generated
;; chapter TOC should be included 
;;
(define %generate-chapter-toc% #t)

;; Generate title page. (What does this mean in HTML???)
;;
(define %generate-titlepage% #t)

;; Save the intended writing mode; we test it for setting lhs or rhs
;; when printing headers on page heads and feet.
;;
(define %writing-mode% 'left-to-right)

;; If section-autolabel is true, unlabeled sections are automatically
;; numbered
;;
(define %section-autolabel% #f)

;; If chap-app-running-head-autolabel is #t, Chapters and Appendixes 
;; that do not specify a LABEL attribute will be treated as if they 
;; specified LABEL=AUTO.  If this is #f, Chapters and Appendixes
;; without a LABEL attribute will have only the title in the running head.
;;
(define %chap-app-running-head-autolabel% #t)

;; What public ID are you declaring your HTML compliant with?
(define %html-pubid% "-//W3C//DTD HTML 3.2//EN")

;; What attributes should be hung off of BODY
(define %body-attr% (list
		     (list "BGCOLOR" "#FFFFFF")
		     (list "TEXT" "#000000")))

;; Should verbatim environments be shaded?  With what attributes on
;; the table used to wrap the shading?
(define %shade-verbatim% #t)
(define %shade-verbatim-attr% (list
			       (list "BORDER" "0")
			       (list "BGCOLOR" "#E0E0E0")
			       (list "WIDTH" "100%")))

;; ----------------------------------------------------------------------
;;
;; Declare initial values; perhaps more should be done this way...
;;

(declare-initial-value writing-mode 	%writing-mode%)

